enter_password_scroll_circle_chapter03_02 = {}
local self = enter_password_scroll_circle_chapter03_02

self.params = 
{
	init_numbers = {5, 6, 7, 8, 1, 2, 3, 4}, -- начальные состояния лучей, количество цифр должно совпадать с количеством лучей. 
	password = {1, 2, 3, 4, 5, 6, 7, 8},-- в каких состояниях должна быть игра в конце
	states = 8,-- количество состояний
	speed = 0.6,-- скорость вращения
	sound_rotation = "rotation_ring", -- звук вращения кольца
	image_layer = 3, -- слой, на котором будут отображаться отдельные лучи
	clips_on_move = -- клипы, которые проигрываются при движении круга
	{ -- слой, id, положение
		{layer = 4, clip="minigame_sun_eyes", offset = sf.misc.FloatVector(0,0)}--,
--		{layer = 1, clip="minigame_sun_shine", offset = sf.misc.FloatVector(0,0)}
	}, 
	image_id_prefix = "scenes_chapter03_scene02_minigame_sun_ray" -- начало айдишников нарезанных кусков состояний
}

self.Init = function(_owner)
	enter_password_scroll_circle.params = self.params
	enter_password_scroll_circle.Init(_owner)
end

for p,v in pairs(enter_password_scroll_circle) do
	if not self[p] then self[p] = v end
end 